[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVCustomDrawSubItemEvent

Specifies an event handler signalled to draw the SubItem value for a list item on a list view control.

## Declaration

Source position: comctrls.pp line 1329

`type TLVCustomDrawSubItemEvent = procedure(`
`Sender: TCustomListView;`
`Item: TListItem;`
`SubItem: Integer;`
`State: TCustomDrawState;`
`var DefaultDraw: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | TListItem for the event notification.
`SubItem` |  | Ordinal position for the sub-item draw in handler routine.
`State` |  | Drawing state for the sub-item (like selected, focused, disabled).
`DefaultDraw` |  | True if default drawing should be performed in the list view control.

## Description

TLVCustomDrawSubItemEvent is the type used to implement the OnCustomDrawSubItem event handler in TCustomListView.

## See also

TCustomListView.OnCustomDrawSubItem |  | Event handler signalled to perform custom drawing for list sub-item on the control.
TCustomListView.OnAdvancedCustomDrawSubItem |  | Event handler signalled to custom draw list sub-items when the draw stage is not cdPrePaint.
TCustomListView.CustomDrawSubItem |  | Performs custom drawing for the specified sub-item using the event handlers for the control.
TCustomListView.Columns |  | Collection with the column definitions for the list view control (size, alignment, image index, etc.).
TListItem.SubItems |  | Contains text displayed as additional columns on the list view control.